Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/HistogramView.Designer.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/HistogramView.Designer.cs	(revision 5961)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/HistogramView.Designer.cs	(revision 5961)
@@ -0,0 +1,139 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Analysis.Views {
+  partial class HistogramView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.Windows.Forms.DataVisualization.Charting.ChartArea chartArea1 = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
+      System.Windows.Forms.DataVisualization.Charting.Series series1 = new System.Windows.Forms.DataVisualization.Charting.Series();
+      this.enhancedChart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
+      this.label1 = new System.Windows.Forms.Label();
+      this.numericUpDown = new System.Windows.Forms.NumericUpDown();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.enhancedChart)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.numericUpDown)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Location = new System.Drawing.Point(91, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(427, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(524, 3);
+      // 
+      // enhancedChart
+      // 
+      this.enhancedChart.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      chartArea1.Name = "ChartArea1";
+      this.enhancedChart.ChartAreas.Add(chartArea1);
+      this.enhancedChart.Location = new System.Drawing.Point(0, 52);
+      this.enhancedChart.Name = "enhancedChart";
+      series1.ChartArea = "ChartArea1";
+      series1.Name = "Series1";
+      this.enhancedChart.Series.Add(series1);
+      this.enhancedChart.Size = new System.Drawing.Size(543, 320);
+      this.enhancedChart.TabIndex = 3;
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(3, 28);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(82, 13);
+      this.label1.TabIndex = 4;
+      this.label1.Text = "Number of Bins:";
+      // 
+      // numericUpDown
+      // 
+      this.numericUpDown.Location = new System.Drawing.Point(91, 26);
+      this.numericUpDown.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.numericUpDown.Name = "numericUpDown";
+      this.numericUpDown.Size = new System.Drawing.Size(61, 20);
+      this.numericUpDown.TabIndex = 5;
+      this.numericUpDown.Value = new decimal(new int[] {
+            10,
+            0,
+            0,
+            0});
+      this.numericUpDown.ValueChanged += new System.EventHandler(this.numericUpDown_ValueChanged);
+      // 
+      // HistogramView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.enhancedChart);
+      this.Controls.Add(this.numericUpDown);
+      this.Controls.Add(this.label1);
+      this.Name = "HistogramView";
+      this.Size = new System.Drawing.Size(543, 372);
+      this.Controls.SetChildIndex(this.label1, 0);
+      this.Controls.SetChildIndex(this.numericUpDown, 0);
+      this.Controls.SetChildIndex(this.enhancedChart, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.enhancedChart)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.numericUpDown)).EndInit();
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private Visualization.ChartControlsExtensions.EnhancedChart enhancedChart;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.NumericUpDown numericUpDown;
+  }
+}
Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/HistogramView.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/HistogramView.cs	(revision 5961)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/HistogramView.cs	(revision 5961)
@@ -0,0 +1,146 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Drawing;
+using System.Linq;
+using System.Windows.Forms;
+using System.Windows.Forms.DataVisualization.Charting;
+using HeuristicLab.Collections;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Analysis.Views {
+  [View("Histogram View")]
+  [Content(typeof(Histogram), IsDefaultView = true)]
+  public sealed partial class HistogramView : NamedItemView {
+
+    public new Histogram Content {
+      get { return (Histogram)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public HistogramView() {
+      InitializeComponent();
+    }
+
+    protected override void DeregisterContentEvents() {
+      Content.Values.ItemsAdded -= new CollectionItemsChangedEventHandler<double>(Content_Values_ItemsAdded);
+      Content.Values.ItemsRemoved -= new CollectionItemsChangedEventHandler<double>(Content_Values_ItemsRemoved);
+      Content.Values.CollectionReset -= new CollectionItemsChangedEventHandler<double>(Content_Values_CollectionReset);
+      base.DeregisterContentEvents();
+    }
+
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+      Content.Values.ItemsAdded += new CollectionItemsChangedEventHandler<double>(Content_Values_ItemsAdded);
+      Content.Values.ItemsRemoved += new CollectionItemsChangedEventHandler<double>(Content_Values_ItemsRemoved);
+      Content.Values.CollectionReset += new CollectionItemsChangedEventHandler<double>(Content_Values_CollectionReset);
+    }
+
+    #region Event Handlers (Content)
+    private void Content_Values_ItemsAdded(object sender, CollectionItemsChangedEventArgs<double> e) {
+      UpdateChartSettings();
+    }
+    private void Content_Values_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<double> e) {
+      InitializeChart();
+    }
+    private void Content_Values_CollectionReset(object sender, CollectionItemsChangedEventArgs<double> e) {
+      InitializeChart();
+    }
+    #endregion
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        enhancedChart.Series.Clear();
+      } else {
+        InitializeChart();
+      }
+    }
+
+    private void InitializeChart() {
+      enhancedChart.Series.Clear();
+      UpdateChartSettings();
+    }
+
+    private void UpdateChartSettings() {
+      if (Content == null || Content.Values.Count < 1) return;
+
+      int bins = (int)numericUpDown.Value;
+      string histogramSeriesName = "Histogram";
+
+      Series histogramSeries = null;
+      if (enhancedChart.Series.IndexOf(histogramSeriesName) < 0) {
+        histogramSeries = enhancedChart.Series.Add(histogramSeriesName);
+
+        histogramSeries.ChartType = SeriesChartType.Column;
+        histogramSeries.BorderColor = Color.Black;
+        histogramSeries.BorderWidth = 1;
+        histogramSeries.BorderDashStyle = ChartDashStyle.Solid;
+      } else {
+        histogramSeries = enhancedChart.Series[histogramSeriesName];
+        histogramSeries.Points.Clear();
+      }
+
+      double minValue = Content.Values.Min();
+      double maxValue = Content.Values.Max();
+      double intervalWidth = (maxValue - minValue) / bins;
+
+      double current = minValue;
+      int count = 0;
+      foreach (double v in Content.Values.OrderBy(x => x)) {
+        if (v < current + intervalWidth) {
+          count++;
+        } else {
+          histogramSeries.Points.AddXY(current + intervalWidth / 2.0, count);
+          count = 0;
+          current += intervalWidth;
+        }
+      }
+
+      histogramSeries["PointWidth"] = "1";
+
+      ChartArea chartArea = enhancedChart.ChartAreas[histogramSeries.ChartArea];
+      chartArea.AxisY.Title = "Frequency";
+      chartArea.AxisX.Minimum = minValue;
+      chartArea.AxisX.Maximum = maxValue;
+
+      double axisInterval = intervalWidth;
+      while ((maxValue - minValue) / axisInterval > 10.0) {
+        axisInterval *= 2.0;
+      }
+      chartArea.AxisX.Interval = axisInterval;
+    }
+
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      enhancedChart.Enabled = Content != null;
+    }
+
+    #region Event Handlers (child controls)
+    private void numericUpDown_ValueChanged(object sender, System.EventArgs e) {
+      UpdateChartSettings();
+    }
+    #endregion
+  }
+}
Index: /branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/Histogram.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/Histogram.cs	(revision 5961)
+++ /branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/Histogram.cs	(revision 5961)
@@ -0,0 +1,59 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using HeuristicLab.Collections;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Analysis {
+  [Item("Histogram", "Holds data that is to be displayed as a histogram.")]
+  [StorableClass]
+  public class Histogram : NamedItem {
+
+    private ObservableCollection<double> values;
+    public ObservableCollection<double> Values {
+      get { return values; }
+    }
+
+    [Storable(Name = "values")]
+    private IEnumerable<double> StorableValues {
+      get { return values; }
+      set { values = new ObservableCollection<double>(value); }
+    }
+
+    [StorableConstructor]
+    protected Histogram(bool deserializing) : base(deserializing) { }
+    protected Histogram(Histogram original, Cloner cloner)
+      : base(original, cloner) {
+      this.values = new ObservableCollection<double>(original.values);
+    }
+    public Histogram()
+      : base() {
+      values = new ObservableCollection<double>();
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new Histogram(this, cloner);
+    }
+  }
+}
Index: /branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/HistogramHistory.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/HistogramHistory.cs	(revision 5961)
+++ /branches/histogram/HeuristicLab.Analysis/3.3/DataVisualization/HistogramHistory.cs	(revision 5961)
@@ -0,0 +1,49 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using System.Drawing;
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Analysis {
+  /// <summary>
+  /// Represents history values of histograms.
+  /// </summary>
+  [Item("HistogramHistory", "Represents history values of histograms.")]
+  [StorableClass]
+  public class HistogramHistory : ItemCollection<Histogram> {
+    public override Image ItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
+    }
+
+    [StorableConstructor]
+    protected HistogramHistory(bool deserializing) : base(deserializing) { }
+    protected HistogramHistory(HistogramHistory original, Cloner cloner) : base(original, cloner) { }
+    public HistogramHistory() : base() { }
+    public HistogramHistory(IEnumerable<Histogram> collection) : base(new ItemCollection<Histogram>(collection)) { }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new HistogramHistory(this, cloner);
+    }
+  }
+}
Index: /branches/histogram/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj
===================================================================
--- /branches/histogram/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 5960)
+++ /branches/histogram/HeuristicLab.Analysis/3.3/HeuristicLab.Analysis-3.3.csproj	(revision 5961)
@@ -118,4 +118,5 @@
     <Compile Include="AlleleFrequencyAnalysis\AlleleFrequencyCollectionHistory.cs" />
     <Compile Include="BestScopeSolutionAnalyzer.cs" />
+    <Compile Include="DataVisualization\HistogramHistory.cs" />
     <Compile Include="DataVisualization\DataRow.cs" />
     <Compile Include="DataVisualization\DataRowVisualProperties.cs" />
@@ -126,4 +127,5 @@
     <Compile Include="DataVisualization\HeatMap.cs" />
     <Compile Include="DataVisualization\HeatMapHistory.cs" />
+    <Compile Include="DataVisualization\Histogram.cs" />
     <Compile Include="MultidimensionalScaling\MultidimensionalScaling.cs" />
     <Compile Include="MultiObjective\RankBasedParetoFrontAnalyzer.cs" />
Index: /branches/histogram/HistogramViewTest/Form1.Designer.cs
===================================================================
--- /branches/histogram/HistogramViewTest/Form1.Designer.cs	(revision 5961)
+++ /branches/histogram/HistogramViewTest/Form1.Designer.cs	(revision 5961)
@@ -0,0 +1,34 @@
+﻿namespace HistogramViewTest {
+  partial class Form1 {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Text = "Form1";
+    }
+
+    #endregion
+  }
+}
+
Index: /branches/histogram/HistogramViewTest/Form1.cs
===================================================================
--- /branches/histogram/HistogramViewTest/Form1.cs	(revision 5961)
+++ /branches/histogram/HistogramViewTest/Form1.cs	(revision 5961)
@@ -0,0 +1,22 @@
+﻿using System;
+using System.Windows.Forms;
+using HeuristicLab.Analysis;
+using HeuristicLab.Analysis.Views;
+
+namespace HistogramViewTest {
+  public partial class Form1 : Form {
+    private HistogramView view;
+
+    public Form1() {
+      InitializeComponent();
+      view = new HistogramView();
+      Histogram hist = new Histogram();
+      Random rand = new Random();
+      for (int index = 1; index < 100; index++) {
+        hist.Values.Add(rand.Next(1, 1000));
+      }
+      view.Content = hist;
+      Controls.Add(view);
+    }
+  }
+}
Index: /branches/histogram/HistogramViewTest/HistogramViewTest.csproj
===================================================================
--- /branches/histogram/HistogramViewTest/HistogramViewTest.csproj	(revision 5961)
+++ /branches/histogram/HistogramViewTest/HistogramViewTest.csproj	(revision 5961)
@@ -0,0 +1,121 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{0D308137-8F8A-4361-A63D-09FAFEB29F9C}</ProjectGuid>
+    <OutputType>WinExe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HistogramViewTest</RootNamespace>
+    <AssemblyName>HistogramViewTest</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <PlatformTarget>x86</PlatformTarget>
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <PlatformTarget>x86</PlatformTarget>
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Deployment" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Form1.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Form1.Designer.cs">
+      <DependentUpon>Form1.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Program.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <EmbeddedResource Include="Properties\Resources.resx">
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+    <Compile Include="Properties\Resources.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DependentUpon>Resources.resx</DependentUpon>
+      <DesignTime>True</DesignTime>
+    </Compile>
+    <None Include="app.config" />
+    <None Include="Properties\Settings.settings">
+      <Generator>SettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DependentUpon>Settings.settings</DependentUpon>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+    </Compile>
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Analysis.Views\3.3\HeuristicLab.Analysis.Views-3.3.csproj">
+      <Project>{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}</Project>
+      <Name>HeuristicLab.Analysis.Views-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Analysis\3.3\HeuristicLab.Analysis-3.3.csproj">
+      <Project>{887425B4-4348-49ED-A457-B7D2C26DDBF9}</Project>
+      <Name>HeuristicLab.Analysis-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
+      <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
+      <Name>HeuristicLab.Collections-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
+      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
+      <Name>HeuristicLab.Common-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
+      <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
+      <Name>HeuristicLab.Core.Views-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
+      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
+      <Name>HeuristicLab.Core-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.MainForm.WindowsForms\3.3\HeuristicLab.MainForm.WindowsForms-3.3.csproj">
+      <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
+      <Name>HeuristicLab.MainForm.WindowsForms-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\HeuristicLab.MainForm\3.3\HeuristicLab.MainForm-3.3.csproj">
+      <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
+      <Name>HeuristicLab.MainForm-3.3</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/histogram/HistogramViewTest/Program.cs
===================================================================
--- /branches/histogram/HistogramViewTest/Program.cs	(revision 5961)
+++ /branches/histogram/HistogramViewTest/Program.cs	(revision 5961)
@@ -0,0 +1,18 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+
+namespace HistogramViewTest {
+  static class Program {
+    /// <summary>
+    /// The main entry point for the application.
+    /// </summary>
+    [STAThread]
+    static void Main() {
+      Application.EnableVisualStyles();
+      Application.SetCompatibleTextRenderingDefault(false);
+      Application.Run(new Form1());
+    }
+  }
+}
Index: /branches/histogram/HistogramViewTest/Properties/AssemblyInfo.cs
===================================================================
--- /branches/histogram/HistogramViewTest/Properties/AssemblyInfo.cs	(revision 5961)
+++ /branches/histogram/HistogramViewTest/Properties/AssemblyInfo.cs	(revision 5961)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HistogramViewTest")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("Microsoft")]
+[assembly: AssemblyProduct("HistogramViewTest")]
+[assembly: AssemblyCopyright("Copyright © Microsoft 2011")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("2ca3d557-44c3-440a-b00d-3ea1c594d7c0")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: /branches/histogram/HistogramViewTest/Properties/Settings.settings
===================================================================
--- /branches/histogram/HistogramViewTest/Properties/Settings.settings	(revision 5961)
+++ /branches/histogram/HistogramViewTest/Properties/Settings.settings	(revision 5961)
@@ -0,0 +1,7 @@
+﻿<?xml version='1.0' encoding='utf-8'?>
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
+  <Profiles>
+    <Profile Name="(Default)" />
+  </Profiles>
+  <Settings />
+</SettingsFile>
